div.modal-header(ng-init="modalCtrl.init()")

    button.close(type='button', ng-click="modalCtrl.fechar()")
        span(aria-hidden='true') ×
        span.sr-only Fechar

    h4.modal-title Adicionar Inconsistência
    div(growl inline="true" reference='5')

div.modal-body

    div.area-modal
        label.label-modal.obrigatorio Descrição da inconsistência:
        br
        textarea.textarea-modal(ng-class="{'error': modalCtrl.errors.analiseTecnica.descricao === true}", ng-disabled="modalCtrl.isGerente === true", ng-model="modalCtrl.descricaoInconsistencia")

    div.area-modal
        label.label-modal.obrigatorio Tipo da inconsistência:
        br
        textarea.textarea-modal(ng-class="{'error': modalCtrl.errors.analiseTecnica.tipo === true}", ng-disabled="modalCtrl.isGerente === true", ng-model="modalCtrl.tipoInconsistencia")

    div.button-upload-modal.btn.btn-default(ng-if="modalCtrl.isGerente === false && apenasPDF == false",style=" margin-bottom:5px;",type="file", name="arquivo", ngf-select="modalCtrl.upload($file, $invalidFile)", ngf-accept="'application/pdf,image/*'", ngf-pattern="'application/pdf,image/*'", ngf-max-size="{{modalCtrl.TAMANHO_MAXIMO_ARQUIVO_MB}}MB")
        i.glyphicon.glyphicon-open.glyphicon--with-right-margin
        | Anexar arquivo na inconsistência

    div.button-upload-modal.btn.btn-default(ng-if="modalCtrl.isGerente === false && apenasPDF == true",style=" margin-bottom:5px;",type="file", name="arquivo", ngf-select="modalCtrl.upload($file, $invalidFile)", ngf-accept="'application/pdf'", ngf-pattern="'application/pdf'", ngf-max-size="{{modalCtrl.TAMANHO_MAXIMO_ARQUIVO_MB}}MB")
        i.glyphicon.glyphicon-open.glyphicon--with-right-margin
        | Anexar arquivo na inconsistência
    br
    table.area-modal.table.table-condensed(ng-if="modalCtrl.anexos.length > 0")

        thead

            tr
                th.col-md-10 Arquivo anexado
                th.col-md-2.text-right Ações

        tbody

            tr(ng-model="modalCtrl.anexos",ng-repeat="anexo in modalCtrl.anexos")

                td.col-md-10 {{anexo.nomeDoArquivo}}
                td.col-md-2.text-right
                    a.d-inline.margin-right-xs(style='cursor: pointer;', title="Visualizar anexo", ng-click="modalCtrl.baixarDocumentoInconsistencia(anexo)")
                        i.glyphicon.glyphicon-eye-open

                    a.d-inline.margin-right-xs(ng-if="modalCtrl.isGerente === false",style='cursor: pointer;')
                        i.glyphicon.glyphicon-trash(title='Remover anexo',
                                                    ng-bootbox-title='Confirmação',
                                                    ng-bootbox-confirm='Deseja realmente remover este anexo ?',
                                                    ng-bootbox-confirm-action="modalCtrl.removerDocumento($index,anexo.id)")

div.modal-footer

    button.btn.btn-default.pull-left(ng-if="modalCtrl.isGerente === false",ng-click="modalCtrl.fechar()")
        i.glyphicon.glyphicon-arrow-left
        | &nbsp;Cancelar

    button.btn.btn-default.pull-right(ng-if="modalCtrl.isGerente === true",ng-click="modalCtrl.fechar()")
        i.glyphicon.glyphicon-remove
        | &nbsp;Fechar
    
    button.btn.btn-success.pull-right(ng-if="modalCtrl.isGerente === false", ng-click="modalCtrl.concluir()")
        i.glyphicon.glyphicon-arrow-right
        | &nbsp;Confirmar
